Bug 330848 - Digikam crash when i want play video.
Summary: Digikam crash when i want play video.
Status: RESOLVED FIXED
Alias: None
Product: digikam
Classification: Unclassified
Component: Preview-Video (show other bugs)
Version: unspecified
Platform: Fedora RPMs Linux
: NOR crash (vote)
Target Milestone: ---
Assignee: Digikam Developers
URL:
Keywords: drkonqi
Depends on:
Blocks:
 
Reported: 2014-02-06 11:44 UTC by Hufis
Modified: 2017-07-27 10:27 UTC (History)
5 users (show)

See Also:
Latest Commit:
Version Fixed In: 5.4.0


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Hufis 2014-02-06 11:44:28 UTC
Application: digikam (3.5.0)
KDE Platform Version: 4.11.5
Qt Version: 4.8.5
Operating System: Linux 3.12.9-301.fc20.x86_64 x86_64
Distribution: "Fedora release 20 (Heisenbug)"

-- Information about the crash:
- What I was doing when the application crashed:
When I wanted to play a video file, Digikam fell. 
I have a freshly installed Fedora 20

The crash can be reproduced every time.

-- Backtrace:
Application: digiKam (digikam), signal: Segmentation fault
Using host libthread_db library "/lib64/libthread_db.so.1".
[Current thread is 1 (Thread 0x7fcd55b53ac0 (LWP 2251))]

Thread 19 (Thread 0x7fcd4f629700 (LWP 2255)):
#0  0x0000003f212ea9dd in poll () from /lib64/libc.so.6
#1  0x000000303660ebdc in linux_udev_event_thread_main () from /lib64/libusb-1.0.so.0
#2  0x0000003f21e07f33 in start_thread () from /lib64/libpthread.so.0
#3  0x0000003f212f4ded in clone () from /lib64/libc.so.6

Thread 18 (Thread 0x7fcd48f59700 (LWP 2256)):
#0  0x0000003f21e0bd20 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x0000003f2ca7c8d6 in QWaitCondition::wait(QMutex*, unsigned long) () from /lib64/libQtCore.so.4
#2  0x00000000005e251e in Digikam::ScanController::run() ()
#3  0x0000003f2ca7c3af in QThreadPrivate::start(void*) () from /lib64/libQtCore.so.4
#4  0x0000003f21e07f33 in start_thread () from /lib64/libpthread.so.0
#5  0x0000003f212f4ded in clone () from /lib64/libc.so.6

Thread 17 (Thread 0x7fcd43fff700 (LWP 2257)):
#0  0x0000003f21e0a059 in pthread_mutex_lock () from /lib64/libpthread.so.0
#1  0x0000003f23a8a5a1 in g_mutex_lock () from /lib64/libglib-2.0.so.0
#2  0x0000003f23a49004 in g_main_context_check () from /lib64/libglib-2.0.so.0
#3  0x0000003f23a49533 in g_main_context_iterate.isra.24 () from /lib64/libglib-2.0.so.0
#4  0x0000003f23a496dc in g_main_context_iteration () from /lib64/libglib-2.0.so.0
#5  0x0000003f2cbb2ec6 in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /lib64/libQtCore.so.4
#6  0x0000003f2cb82edf in QEventLoop::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /lib64/libQtCore.so.4
#7  0x0000003f2cb8322d in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () from /lib64/libQtCore.so.4
#8  0x0000003f2ca79baf in QThread::exec() () from /lib64/libQtCore.so.4
#9  0x0000003f2cb63863 in QInotifyFileSystemWatcherEngine::run() () from /lib64/libQtCore.so.4
#10 0x0000003f2ca7c3af in QThreadPrivate::start(void*) () from /lib64/libQtCore.so.4
#11 0x0000003f21e07f33 in start_thread () from /lib64/libpthread.so.0
#12 0x0000003f212f4ded in clone () from /lib64/libc.so.6

Thread 16 (Thread 0x7fcd437fe700 (LWP 2259)):
#0  0x0000003f21e0bd20 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x0000003f2ca7c8d6 in QWaitCondition::wait(QMutex*, unsigned long) () from /lib64/libQtCore.so.4
#2  0x000000303dd6298a in Digikam::ParkingThread::run() () from /lib64/libdigikamcore.so.3
#3  0x0000003f2ca7c3af in QThreadPrivate::start(void*) () from /lib64/libQtCore.so.4
#4  0x0000003f21e07f33 in start_thread () from /lib64/libpthread.so.0
#5  0x0000003f212f4ded in clone () from /lib64/libc.so.6

Thread 15 (Thread 0x7fcd2ec39700 (LWP 2317)):
#0  0x00007fff49ffea1f in clock_gettime ()
#1  0x0000003f21302f3d in clock_gettime () from /lib64/libc.so.6
#2  0x0000003f2cad37ab in qt_gettime() () from /lib64/libQtCore.so.4
#3  0x0000003f2cbb4655 in QTimerInfoList::timerWait(timeval&) () from /lib64/libQtCore.so.4
#4  0x0000003f2cbb2cdc in timerSourcePrepareHelper(GTimerSource*, int*) () from /lib64/libQtCore.so.4
#5  0x0000003f2cbb2da5 in timerSourcePrepare(_GSource*, int*) () from /lib64/libQtCore.so.4
#6  0x0000003f23a48bed in g_main_context_prepare () from /lib64/libglib-2.0.so.0
#7  0x0000003f23a494bb in g_main_context_iterate.isra.24 () from /lib64/libglib-2.0.so.0
#8  0x0000003f23a496dc in g_main_context_iteration () from /lib64/libglib-2.0.so.0
#9  0x0000003f2cbb2ec6 in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /lib64/libQtCore.so.4
#10 0x0000003f2cb82edf in QEventLoop::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /lib64/libQtCore.so.4
#11 0x0000003f2cb8322d in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () from /lib64/libQtCore.so.4
#12 0x000000303dd61fe3 in Digikam::WorkerObjectRunnable::run() () from /lib64/libdigikamcore.so.3
#13 0x0000003f2ca6f88e in QThreadPoolThread::run() () from /lib64/libQtCore.so.4
#14 0x0000003f2ca7c3af in QThreadPrivate::start(void*) () from /lib64/libQtCore.so.4
#15 0x0000003f21e07f33 in start_thread () from /lib64/libpthread.so.0
#16 0x0000003f212f4ded in clone () from /lib64/libc.so.6

Thread 14 (Thread 0x7fcd097fa700 (LWP 2319)):
#0  0x0000003f21e0e87d in read () from /lib64/libpthread.so.0
#1  0x0000003f23a897b0 in g_wakeup_acknowledge () from /lib64/libglib-2.0.so.0
#2  0x0000003f23a4909c in g_main_context_check () from /lib64/libglib-2.0.so.0
#3  0x0000003f23a49533 in g_main_context_iterate.isra.24 () from /lib64/libglib-2.0.so.0
#4  0x0000003f23a496dc in g_main_context_iteration () from /lib64/libglib-2.0.so.0
#5  0x0000003f2cbb2ec6 in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /lib64/libQtCore.so.4
#6  0x0000003f2cb82edf in QEventLoop::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /lib64/libQtCore.so.4
#7  0x0000003f2cb8322d in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () from /lib64/libQtCore.so.4
#8  0x000000303dd61fe3 in Digikam::WorkerObjectRunnable::run() () from /lib64/libdigikamcore.so.3
#9  0x0000003f2ca6f88e in QThreadPoolThread::run() () from /lib64/libQtCore.so.4
#10 0x0000003f2ca7c3af in QThreadPrivate::start(void*) () from /lib64/libQtCore.so.4
#11 0x0000003f21e07f33 in start_thread () from /lib64/libpthread.so.0
#12 0x0000003f212f4ded in clone () from /lib64/libc.so.6

Thread 13 (Thread 0x7fcd2cc35700 (LWP 2321)):
#0  0x0000003f21e0c0c9 in pthread_cond_timedwait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x0000003f2ca7c8b4 in QWaitCondition::wait(QMutex*, unsigned long) () from /lib64/libQtCore.so.4
#2  0x0000003f2ca6f99d in QThreadPoolThread::run() () from /lib64/libQtCore.so.4
#3  0x0000003f2ca7c3af in QThreadPrivate::start(void*) () from /lib64/libQtCore.so.4
#4  0x0000003f21e07f33 in start_thread () from /lib64/libpthread.so.0
#5  0x0000003f212f4ded in clone () from /lib64/libc.so.6

Thread 12 (Thread 0x7fcd2e22b700 (LWP 2325)):
#0  0x0000003f21e0bd20 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x0000003f23a8a817 in g_cond_wait () from /lib64/libglib-2.0.so.0
#2  0x00007fcd4006a1e5 in gst_queue_loop () from /usr/lib64/gstreamer-0.10/libgstcoreelements.so
#3  0x0000003f45a82394 in gst_task_func () from /lib64/libgstreamer-0.10.so.0
#4  0x0000003f23a6f406 in g_thread_pool_thread_proxy () from /lib64/libglib-2.0.so.0
#5  0x0000003f23a6ea45 in g_thread_proxy () from /lib64/libglib-2.0.so.0
#6  0x0000003f21e07f33 in start_thread () from /lib64/libpthread.so.0
#7  0x0000003f212f4ded in clone () from /lib64/libc.so.6

Thread 11 (Thread 0x7fcd2da2a700 (LWP 2326)):
#0  0x0000003f21e0bd20 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x0000003f23a8a817 in g_cond_wait () from /lib64/libglib-2.0.so.0
#2  0x00007fcd4006990d in gst_queue_chain () from /usr/lib64/gstreamer-0.10/libgstcoreelements.so
#3  0x0000003f45a5c4c1 in gst_pad_push () from /lib64/libgstreamer-0.10.so.0
#4  0x0000003f45a5c4c1 in gst_pad_push () from /lib64/libgstreamer-0.10.so.0
#5  0x00007fcd40074b60 in gst_tee_handle_data () from /usr/lib64/gstreamer-0.10/libgstcoreelements.so
#6  0x00007fcd40075024 in gst_tee_chain () from /usr/lib64/gstreamer-0.10/libgstcoreelements.so
#7  0x0000003f45a5c4c1 in gst_pad_push () from /lib64/libgstreamer-0.10.so.0
#8  0x00007fcd4006a931 in gst_queue_loop () from /usr/lib64/gstreamer-0.10/libgstcoreelements.so
#9  0x0000003f45a82394 in gst_task_func () from /lib64/libgstreamer-0.10.so.0
#10 0x0000003f23a6f406 in g_thread_pool_thread_proxy () from /lib64/libglib-2.0.so.0
#11 0x0000003f23a6ea45 in g_thread_proxy () from /lib64/libglib-2.0.so.0
#12 0x0000003f21e07f33 in start_thread () from /lib64/libpthread.so.0
#13 0x0000003f212f4ded in clone () from /lib64/libc.so.6

Thread 10 (Thread 0x7fcd2b7cc700 (LWP 2327)):
#0  0x0000003f21e0bd20 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x0000003f23a8a817 in g_cond_wait () from /lib64/libglib-2.0.so.0
#2  0x0000003f49a1e03c in gst_base_sink_wait_preroll () from /lib64/libgstbase-0.10.so.0
#3  0x00007fcd41534108 in gst_base_audio_sink_render () from /lib64/libgstaudio-0.10.so.0
#4  0x0000003f49a20613 in gst_base_sink_render_object.isra.8 () from /lib64/libgstbase-0.10.so.0
#5  0x0000003f49a21f1f in gst_base_sink_queue_object_unlocked.isra.9 () from /lib64/libgstbase-0.10.so.0
#6  0x0000003f49a223f6 in gst_base_sink_chain_unlocked.isra.10 () from /lib64/libgstbase-0.10.so.0
#7  0x0000003f49a2272f in gst_base_sink_chain_main () from /lib64/libgstbase-0.10.so.0
#8  0x0000003f45a589c3 in gst_pad_push_data () from /lib64/libgstreamer-0.10.so.0
#9  0x0000003f45a5c3b9 in gst_pad_push () from /lib64/libgstreamer-0.10.so.0
#10 0x0000003f49a2ffb4 in gst_base_transform_chain () from /lib64/libgstbase-0.10.so.0
#11 0x0000003f45a589c3 in gst_pad_push_data () from /lib64/libgstreamer-0.10.so.0
#12 0x0000003f45a5c3b9 in gst_pad_push () from /lib64/libgstreamer-0.10.so.0
#13 0x0000003f49a2ffb4 in gst_base_transform_chain () from /lib64/libgstbase-0.10.so.0
#14 0x0000003f45a589c3 in gst_pad_push_data () from /lib64/libgstreamer-0.10.so.0
#15 0x0000003f45a5c3b9 in gst_pad_push () from /lib64/libgstreamer-0.10.so.0
#16 0x0000003f49a2ffb4 in gst_base_transform_chain () from /lib64/libgstbase-0.10.so.0
#17 0x0000003f45a589c3 in gst_pad_push_data () from /lib64/libgstreamer-0.10.so.0
#18 0x0000003f45a5c3b9 in gst_pad_push () from /lib64/libgstreamer-0.10.so.0
#19 0x00007fcd4006a931 in gst_queue_loop () from /usr/lib64/gstreamer-0.10/libgstcoreelements.so
#20 0x0000003f45a82394 in gst_task_func () from /lib64/libgstreamer-0.10.so.0
#21 0x0000003f23a6f406 in g_thread_pool_thread_proxy () from /lib64/libglib-2.0.so.0
#22 0x0000003f23a6ea45 in g_thread_proxy () from /lib64/libglib-2.0.so.0
#23 0x0000003f21e07f33 in start_thread () from /lib64/libpthread.so.0
#24 0x0000003f212f4ded in clone () from /lib64/libc.so.6

Thread 9 (Thread 0x7fcd2a709700 (LWP 2328)):
#0  0x0000003f21e0bd20 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x0000003f23a8a817 in g_cond_wait () from /lib64/libglib-2.0.so.0
#2  0x0000003f49a3e82d in gst_data_queue_pop () from /lib64/libgstbase-0.10.so.0
#3  0x00007fcd400657ec in gst_multi_queue_loop () from /usr/lib64/gstreamer-0.10/libgstcoreelements.so
#4  0x0000003f45a82394 in gst_task_func () from /lib64/libgstreamer-0.10.so.0
#5  0x0000003f23a6f406 in g_thread_pool_thread_proxy () from /lib64/libglib-2.0.so.0
#6  0x0000003f23a6ea45 in g_thread_proxy () from /lib64/libglib-2.0.so.0
#7  0x0000003f21e07f33 in start_thread () from /lib64/libpthread.so.0
#8  0x0000003f212f4ded in clone () from /lib64/libc.so.6

Thread 8 (Thread 0x7fcd29707700 (LWP 2329)):
#0  0x0000003f21e0bd20 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x0000003f23a8a817 in g_cond_wait () from /lib64/libglib-2.0.so.0
#2  0x00007fcd4006990d in gst_queue_chain () from /usr/lib64/gstreamer-0.10/libgstcoreelements.so
#3  0x0000003f45a589c3 in gst_pad_push_data () from /lib64/libgstreamer-0.10.so.0
#4  0x0000003f45a5c3b9 in gst_pad_push () from /lib64/libgstreamer-0.10.so.0
#5  0x0000003f45a589c3 in gst_pad_push_data () from /lib64/libgstreamer-0.10.so.0
#6  0x0000003f45a5c3b9 in gst_pad_push () from /lib64/libgstreamer-0.10.so.0
#7  0x00007fcd2a73b20d in gst_stream_synchronizer_sink_chain () from /usr/lib64/gstreamer-0.10/libgstplaybin.so
#8  0x0000003f45a589c3 in gst_pad_push_data () from /lib64/libgstreamer-0.10.so.0
#9  0x0000003f45a5c3b9 in gst_pad_push () from /lib64/libgstreamer-0.10.so.0
#10 0x0000003f45a589c3 in gst_pad_push_data () from /lib64/libgstreamer-0.10.so.0
#11 0x0000003f45a5c3b9 in gst_pad_push () from /lib64/libgstreamer-0.10.so.0
#12 0x00007fcd400608d5 in gst_selector_pad_chain () from /usr/lib64/gstreamer-0.10/libgstcoreelements.so
#13 0x0000003f45a589c3 in gst_pad_push_data () from /lib64/libgstreamer-0.10.so.0
#14 0x0000003f45a5c3b9 in gst_pad_push () from /lib64/libgstreamer-0.10.so.0
#15 0x0000003f45a589c3 in gst_pad_push_data () from /lib64/libgstreamer-0.10.so.0
#16 0x0000003f45a5c3b9 in gst_pad_push () from /lib64/libgstreamer-0.10.so.0
#17 0x0000003f45a589c3 in gst_pad_push_data () from /lib64/libgstreamer-0.10.so.0
#18 0x0000003f45a5c3b9 in gst_pad_push () from /lib64/libgstreamer-0.10.so.0
#19 0x00007fcd2d01fe5f in gst_jpeg_dec_chain () from /usr/lib64/gstreamer-0.10/libgstjpeg.so
#20 0x0000003f45a5c4c1 in gst_pad_push () from /lib64/libgstreamer-0.10.so.0
#21 0x00007fcd40066081 in gst_multi_queue_loop () from /usr/lib64/gstreamer-0.10/libgstcoreelements.so
#22 0x0000003f45a82394 in gst_task_func () from /lib64/libgstreamer-0.10.so.0
#23 0x0000003f23a6f406 in g_thread_pool_thread_proxy () from /lib64/libglib-2.0.so.0
#24 0x0000003f23a6ea45 in g_thread_proxy () from /lib64/libglib-2.0.so.0
#25 0x0000003f21e07f33 in start_thread () from /lib64/libpthread.so.0
#26 0x0000003f212f4ded in clone () from /lib64/libc.so.6

Thread 7 (Thread 0x7fcd28f06700 (LWP 2330)):
#0  0x0000003f21e0bd20 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x0000003f23a8a817 in g_cond_wait () from /lib64/libglib-2.0.so.0
#2  0x00007fcd4006990d in gst_queue_chain () from /usr/lib64/gstreamer-0.10/libgstcoreelements.so
#3  0x0000003f45a589c3 in gst_pad_push_data () from /lib64/libgstreamer-0.10.so.0
#4  0x0000003f45a5c3b9 in gst_pad_push () from /lib64/libgstreamer-0.10.so.0
#5  0x0000003f45a589c3 in gst_pad_push_data () from /lib64/libgstreamer-0.10.so.0
#6  0x0000003f45a5c3b9 in gst_pad_push () from /lib64/libgstreamer-0.10.so.0
#7  0x00007fcd40074b60 in gst_tee_handle_data () from /usr/lib64/gstreamer-0.10/libgstcoreelements.so
#8  0x00007fcd40075024 in gst_tee_chain () from /usr/lib64/gstreamer-0.10/libgstcoreelements.so
#9  0x0000003f45a589c3 in gst_pad_push_data () from /lib64/libgstreamer-0.10.so.0
#10 0x0000003f45a5c3b9 in gst_pad_push () from /lib64/libgstreamer-0.10.so.0
#11 0x00007fcd4006a931 in gst_queue_loop () from /usr/lib64/gstreamer-0.10/libgstcoreelements.so
#12 0x0000003f45a82394 in gst_task_func () from /lib64/libgstreamer-0.10.so.0
#13 0x0000003f23a6f406 in g_thread_pool_thread_proxy () from /lib64/libglib-2.0.so.0
#14 0x0000003f23a6ea45 in g_thread_proxy () from /lib64/libglib-2.0.so.0
#15 0x0000003f21e07f33 in start_thread () from /lib64/libpthread.so.0
#16 0x0000003f212f4ded in clone () from /lib64/libc.so.6

Thread 6 (Thread 0x7fcd0bfff700 (LWP 2331)):
#0  0x0000003f21e0bd20 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x0000003f23a8a817 in g_cond_wait () from /lib64/libglib-2.0.so.0
#2  0x0000003f49a3e370 in gst_data_queue_push () from /lib64/libgstbase-0.10.so.0
#3  0x00007fcd400653b2 in gst_multi_queue_chain () from /usr/lib64/gstreamer-0.10/libgstcoreelements.so
#4  0x0000003f45a5c4c1 in gst_pad_push () from /lib64/libgstreamer-0.10.so.0
#5  0x00007fcd40cb51b1 in gst_avi_demux_loop () from /usr/lib64/gstreamer-0.10/libgstavi.so
#6  0x0000003f45a82394 in gst_task_func () from /lib64/libgstreamer-0.10.so.0
#7  0x0000003f23a6f406 in g_thread_pool_thread_proxy () from /lib64/libglib-2.0.so.0
#8  0x0000003f23a6ea45 in g_thread_proxy () from /lib64/libglib-2.0.so.0
#9  0x0000003f21e07f33 in start_thread () from /lib64/libpthread.so.0
#10 0x0000003f212f4ded in clone () from /lib64/libc.so.6

Thread 5 (Thread 0x7fcd0b7fe700 (LWP 2332)):
#0  0x0000003f21e0bd20 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x0000003f23a8a817 in g_cond_wait () from /lib64/libglib-2.0.so.0
#2  0x0000003f49a1e03c in gst_base_sink_wait_preroll () from /lib64/libgstbase-0.10.so.0
#3  0x0000003f49a1e1d0 in gst_base_sink_do_preroll () from /lib64/libgstbase-0.10.so.0
#4  0x0000003f49a1fbd7 in gst_base_sink_render_object.isra.8 () from /lib64/libgstbase-0.10.so.0
#5  0x0000003f49a21f1f in gst_base_sink_queue_object_unlocked.isra.9 () from /lib64/libgstbase-0.10.so.0
#6  0x0000003f49a223f6 in gst_base_sink_chain_unlocked.isra.10 () from /lib64/libgstbase-0.10.so.0
#7  0x0000003f49a2272f in gst_base_sink_chain_main () from /lib64/libgstbase-0.10.so.0
#8  0x0000003f45a589c3 in gst_pad_push_data () from /lib64/libgstreamer-0.10.so.0
#9  0x0000003f45a5c3b9 in gst_pad_push () from /lib64/libgstreamer-0.10.so.0
#10 0x0000003f49a2ffb4 in gst_base_transform_chain () from /lib64/libgstbase-0.10.so.0
#11 0x0000003f45a589c3 in gst_pad_push_data () from /lib64/libgstreamer-0.10.so.0
#12 0x0000003f45a5c3b9 in gst_pad_push () from /lib64/libgstreamer-0.10.so.0
#13 0x0000003f49a2ffb4 in gst_base_transform_chain () from /lib64/libgstbase-0.10.so.0
#14 0x0000003f45a589c3 in gst_pad_push_data () from /lib64/libgstreamer-0.10.so.0
#15 0x0000003f45a5c3b9 in gst_pad_push () from /lib64/libgstreamer-0.10.so.0
#16 0x0000003f49a2ffb4 in gst_base_transform_chain () from /lib64/libgstbase-0.10.so.0
#17 0x0000003f45a589c3 in gst_pad_push_data () from /lib64/libgstreamer-0.10.so.0
#18 0x0000003f45a5c3b9 in gst_pad_push () from /lib64/libgstreamer-0.10.so.0
#19 0x0000003f49a2ffb4 in gst_base_transform_chain () from /lib64/libgstbase-0.10.so.0
#20 0x0000003f45a589c3 in gst_pad_push_data () from /lib64/libgstreamer-0.10.so.0
#21 0x0000003f45a5c3b9 in gst_pad_push () from /lib64/libgstreamer-0.10.so.0
#22 0x0000003f49a2ffb4 in gst_base_transform_chain () from /lib64/libgstbase-0.10.so.0
#23 0x0000003f45a589c3 in gst_pad_push_data () from /lib64/libgstreamer-0.10.so.0
#24 0x0000003f45a5c3b9 in gst_pad_push () from /lib64/libgstreamer-0.10.so.0
#25 0x00007fcd4006a931 in gst_queue_loop () from /usr/lib64/gstreamer-0.10/libgstcoreelements.so
#26 0x0000003f45a82394 in gst_task_func () from /lib64/libgstreamer-0.10.so.0
#27 0x0000003f23a6f406 in g_thread_pool_thread_proxy () from /lib64/libglib-2.0.so.0
#28 0x0000003f23a6ea45 in g_thread_proxy () from /lib64/libglib-2.0.so.0
#29 0x0000003f21e07f33 in start_thread () from /lib64/libpthread.so.0
#30 0x0000003f212f4ded in clone () from /lib64/libc.so.6

Thread 4 (Thread 0x7fcd0affd700 (LWP 2333)):
#0  0x0000003f21e0bd20 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x0000003f23a8a817 in g_cond_wait () from /lib64/libglib-2.0.so.0
#2  0x00007fcd4006990d in gst_queue_chain () from /usr/lib64/gstreamer-0.10/libgstcoreelements.so
#3  0x0000003f45a589c3 in gst_pad_push_data () from /lib64/libgstreamer-0.10.so.0
#4  0x0000003f45a5c3b9 in gst_pad_push () from /lib64/libgstreamer-0.10.so.0
#5  0x0000003f45a589c3 in gst_pad_push_data () from /lib64/libgstreamer-0.10.so.0
#6  0x0000003f45a5c3b9 in gst_pad_push () from /lib64/libgstreamer-0.10.so.0
#7  0x0000003f45a589c3 in gst_pad_push_data () from /lib64/libgstreamer-0.10.so.0
#8  0x0000003f45a5c3b9 in gst_pad_push () from /lib64/libgstreamer-0.10.so.0
#9  0x0000003f49a2ffb4 in gst_base_transform_chain () from /lib64/libgstbase-0.10.so.0
#10 0x0000003f45a589c3 in gst_pad_push_data () from /lib64/libgstreamer-0.10.so.0
#11 0x0000003f45a5c3b9 in gst_pad_push () from /lib64/libgstreamer-0.10.so.0
#12 0x0000003f49a2ffb4 in gst_base_transform_chain () from /lib64/libgstbase-0.10.so.0
#13 0x0000003f45a589c3 in gst_pad_push_data () from /lib64/libgstreamer-0.10.so.0
#14 0x0000003f45a5c3b9 in gst_pad_push () from /lib64/libgstreamer-0.10.so.0
#15 0x0000003f45a589c3 in gst_pad_push_data () from /lib64/libgstreamer-0.10.so.0
#16 0x0000003f45a5c3b9 in gst_pad_push () from /lib64/libgstreamer-0.10.so.0
#17 0x00007fcd4006a931 in gst_queue_loop () from /usr/lib64/gstreamer-0.10/libgstcoreelements.so
#18 0x0000003f45a82394 in gst_task_func () from /lib64/libgstreamer-0.10.so.0
#19 0x0000003f23a6f406 in g_thread_pool_thread_proxy () from /lib64/libglib-2.0.so.0
#20 0x0000003f23a6ea45 in g_thread_proxy () from /lib64/libglib-2.0.so.0
#21 0x0000003f21e07f33 in start_thread () from /lib64/libpthread.so.0
#22 0x0000003f212f4ded in clone () from /lib64/libc.so.6

Thread 3 (Thread 0x7fcd2fc3b700 (LWP 2334)):
#0  0x0000003f212ea9dd in poll () from /lib64/libc.so.6
#1  0x0000003f42e32ba1 in poll_func () from /lib64/libpulse.so.0
#2  0x0000003f42e23dec in pa_mainloop_poll () from /lib64/libpulse.so.0
#3  0x0000003f42e2447e in pa_mainloop_iterate () from /lib64/libpulse.so.0
#4  0x0000003f42e24530 in pa_mainloop_run () from /lib64/libpulse.so.0
#5  0x0000003f42e32b36 in thread () from /lib64/libpulse.so.0
#6  0x0000003f42a4bbd8 in internal_thread_func () from /usr/lib64/pulseaudio/libpulsecommon-4.0.so
#7  0x0000003f21e07f33 in start_thread () from /lib64/libpthread.so.0
#8  0x0000003f212f4ded in clone () from /lib64/libc.so.6

Thread 2 (Thread 0x7fcd2f43a700 (LWP 2335)):
#0  0x0000003f21e0bd20 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x0000003f2ca7c8d6 in QWaitCondition::wait(QMutex*, unsigned long) () from /lib64/libQtCore.so.4
#2  0x000000303dd62c64 in Digikam::WorkerObject::wait() () from /lib64/libdigikamcore.so.3
#3  0x000000303dd64f8c in Digikam::ParallelWorkers::wait() () from /lib64/libdigikamcore.so.3
#4  0x000000000062c6b5 in Digikam::FileActionMngr::~FileActionMngr() ()
#5  0x000000000062c717 in Digikam::._243::destroy() ()
#6  0x0000003f212394c9 in __run_exit_handlers () from /lib64/libc.so.6
#7  0x0000003f21239515 in exit () from /lib64/libc.so.6
#8  0x0000003f2f034548 in qt_xio_errhandler () from /lib64/libQtGui.so.4
#9  0x000000302ba491e0 in KApplication::xioErrhandler(_XDisplay*) () from /lib64/libkdeui.so.5
#10 0x0000003f2564515e in _XIOError () from /lib64/libX11.so.6
#11 0x0000003f25642b4d in _XEventsQueued () from /lib64/libX11.so.6
#12 0x0000003f2561f4f5 in XCheckWindowEvent () from /lib64/libX11.so.6
#13 0x00007fcd2b9de6e8 in gst_xvimagesink_event_thread () from /usr/lib64/gstreamer-0.10/libgstxvimagesink.so
#14 0x0000003f23a6ea45 in g_thread_proxy () from /lib64/libglib-2.0.so.0
#15 0x0000003f21e07f33 in start_thread () from /lib64/libpthread.so.0
#16 0x0000003f212f4ded in clone () from /lib64/libc.so.6

Thread 1 (Thread 0x7fcd55b53ac0 (LWP 2251)):
[KCrash Handler]
#5  0x0000003f2cb951a4 in QObject::metaObject() const () from /lib64/libQtCore.so.4
#6  0x0000003f2cb99eb3 in QObject::connect(QObject const*, char const*, QObject const*, char const*, Qt::ConnectionType) () from /lib64/libQtCore.so.4
#7  0x0000003f2cb273a3 in QTextStream::QTextStream(QIODevice*) () from /lib64/libQtCore.so.4
#8  0x00007fcd4176944c in Debug::dbgstream(Debug::DebugLevel) () from /usr/lib64/kde4/plugins/phonon_backend/phonon_gstreamer.so
#9  0x00007fcd41786d24 in Phonon::Gstreamer::Pipeline::cb_state(_GstBus*, _GstMessage*, void*) () from /usr/lib64/kde4/plugins/phonon_backend/phonon_gstreamer.so
#10 0x0000003f25210298 in g_closure_invoke () from /lib64/libgobject-2.0.so.0
#11 0x0000003f2522235d in signal_emit_unlocked_R () from /lib64/libgobject-2.0.so.0
#12 0x0000003f2522a0f2 in g_signal_emit_valist () from /lib64/libgobject-2.0.so.0
#13 0x0000003f2522a3af in g_signal_emit () from /lib64/libgobject-2.0.so.0
#14 0x0000003f45a32dea in gst_bus_sync_signal_handler () from /lib64/libgstreamer-0.10.so.0
#15 0x0000003f45a33072 in gst_bus_post () from /lib64/libgstreamer-0.10.so.0
#16 0x0000003f45a40cb3 in gst_element_post_message () from /lib64/libgstreamer-0.10.so.0
#17 0x0000003f45a422c3 in gst_element_continue_state () from /lib64/libgstreamer-0.10.so.0
#18 0x0000003f45a41c92 in gst_element_change_state () from /lib64/libgstreamer-0.10.so.0
#19 0x0000003f45a42113 in gst_element_set_state_func () from /lib64/libgstreamer-0.10.so.0
#20 0x00007fcd41780cac in Phonon::Gstreamer::Pipeline::~Pipeline() () from /usr/lib64/kde4/plugins/phonon_backend/phonon_gstreamer.so
#21 0x00007fcd41780d19 in Phonon::Gstreamer::Pipeline::~Pipeline() () from /usr/lib64/kde4/plugins/phonon_backend/phonon_gstreamer.so
#22 0x00007fcd41775274 in Phonon::Gstreamer::MediaObject::~MediaObject() () from /usr/lib64/kde4/plugins/phonon_backend/phonon_gstreamer.so
#23 0x00007fcd41775909 in Phonon::Gstreamer::MediaObject::~MediaObject() () from /usr/lib64/kde4/plugins/phonon_backend/phonon_gstreamer.so
#24 0x0000003f44e440d4 in Phonon::MediaNodePrivate::deleteBackendObject() () from /lib64/libphonon.so.4
#25 0x0000003f44e2ef1e in Phonon::FactoryPrivate::~FactoryPrivate() () from /lib64/libphonon.so.4
#26 0x0000003f44e2f1e9 in Phonon::FactoryPrivate::~FactoryPrivate() () from /lib64/libphonon.so.4
#27 0x0000003f212394c9 in __run_exit_handlers () from /lib64/libc.so.6
#28 0x0000003f21239515 in exit () from /lib64/libc.so.6
#29 0x0000003f2f034548 in qt_xio_errhandler () from /lib64/libQtGui.so.4
#30 0x000000302ba491e0 in KApplication::xioErrhandler(_XDisplay*) () from /lib64/libkdeui.so.5
#31 0x0000003f2564515e in _XIOError () from /lib64/libX11.so.6
#32 0x0000003f256432d3 in _XReply () from /lib64/libX11.so.6
#33 0x0000003f2563ea2d in XSync () from /lib64/libX11.so.6
#34 0x0000003f2f1c7115 in QRasterWindowSurface::syncX() () from /lib64/libQtGui.so.4
#35 0x0000003f2f1c7415 in QRasterWindowSurface::beginPaint(QRegion const&) () from /lib64/libQtGui.so.4
#36 0x0000003f2f1e1559 in QWidgetBackingStore::sync() () from /lib64/libQtGui.so.4
#37 0x0000003f2f00b3c0 in QWidgetPrivate::syncBackingStore() () from /lib64/libQtGui.so.4
#38 0x0000003f2f01c486 in QWidget::event(QEvent*) () from /lib64/libQtGui.so.4
#39 0x0000003f2f3ed0e3 in QMainWindow::event(QEvent*) () from /lib64/libQtGui.so.4
#40 0x000000302bb44aa9 in KXmlGuiWindow::event(QEvent*) () from /lib64/libkdeui.so.5
#41 0x0000003f2efc9d8c in QApplicationPrivate::notify_helper(QObject*, QEvent*) () from /lib64/libQtGui.so.4
#42 0x0000003f2efd0725 in QApplication::notify(QObject*, QEvent*) () from /lib64/libQtGui.so.4
#43 0x000000302ba4a7da in KApplication::notify(QObject*, QEvent*) () from /lib64/libkdeui.so.5
#44 0x0000003f2cb8439d in QCoreApplication::notifyInternal(QObject*, QEvent*) () from /lib64/libQtCore.so.4
#45 0x0000003f2cb87485 in QCoreApplicationPrivate::sendPostedEvents(QObject*, int, QThreadData*) () from /lib64/libQtCore.so.4
#46 0x0000003f2cbb3623 in postEventSourceDispatch(_GSource*, int (*)(void*), void*) () from /lib64/libQtCore.so.4
#47 0x0000003f23a492a6 in g_main_context_dispatch () from /lib64/libglib-2.0.so.0
#48 0x0000003f23a49628 in g_main_context_iterate.isra.24 () from /lib64/libglib-2.0.so.0
#49 0x0000003f23a496dc in g_main_context_iteration () from /lib64/libglib-2.0.so.0
#50 0x0000003f2cbb2ea5 in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /lib64/libQtCore.so.4
#51 0x0000003f2f06bca6 in QGuiEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /lib64/libQtGui.so.4
#52 0x0000003f2cb82edf in QEventLoop::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /lib64/libQtCore.so.4
#53 0x0000003f2cb8322d in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () from /lib64/libQtCore.so.4
#54 0x0000003f2cb88749 in QCoreApplication::exec() () from /lib64/libQtCore.so.4
#55 0x00000000004922bd in main ()

Possible duplicates by query: bug 321531.

Reported using DrKonqi
Comment 1 Jekyll Wu 2014-02-07 02:15:19 UTC

*** This bug has been marked as a duplicate of bug 321531 ***
Comment 2 Michael Lashkevich 2014-05-20 09:14:15 UTC
The same problem. OpenSUSE 13.1, digikam 3.5.0 (from the distribution) and digikam 4.0.0 (from KDE:Extra). I have noticed that it usually crashes on the SECOND video I try to play.

By the way: if digikam settings contained an option like "Always use an external video player", it would make it possible to bypass the problem, even if it would be solved now but reappear in later versions.
Comment 3 caulier.gilles 2017-01-06 22:18:03 UTC
digiKam 5.4.0 bundles will use QtAV framework instead Qt5Multimedia to thumb
and play video/audio. The Slideshow tool will also support video as well.

QtAV use ffmpeg codecs. It's multi-platform and will always available in
OSX, Windows and Linux bundles that digiKam team provide.

For Linux packagers, you will need to turn on video support at compilation time
and solve QtAV dependencies...

See screenshots here :

https://www.flickr.com/photos/digikam/30886133553
https://www.flickr.com/photos/digikam/31679362466
https://www.flickr.com/photos/digikam/31572654722
https://www.flickr.com/photos/digikam/31726086736

Bundles have been recompiled are posted to GDrive for testing :

https://drive.google.com/drive/folders/0BzeiVr-byqt5Y0tIRWVWelRJenM